﻿$('#files').on('change',
    function () {
        //replace the "Choose a file" label
        $(document.getElementById("UploadBtn")).removeClass("disabled");
        
    })

$('#files').on('onload',
    function () {
        //replace the "Choose a file" label
        $(document.getElementById("UploadBtn")).removeClass("disabled");

        //get the file name
        var fileName = $(this).val().replace(/C:\\fakepath\\/, '');
        $(this).next('.custom-file-label').html(fileName);

    })

function uploadFiles(inputId) {
    var t = $("input[name='__RequestVerificationToken']").val();
    var input = document.getElementById(inputId);
    var file = input.files[0];
    var formData = new FormData();
    formData.append("file", file)

    $(document.getElementById("progressStatus")).removeClass("d-none");
    $(document.getElementById("UploadBtn")).addClass("disabled");
    $(document.getElementById("actionSuccessful")).addClass("d-none");
    $(document.getElementById("actionFailed")).addClass("d-none");

    $.ajax(
        {
            url: "",
            headers:
            {
                "RequestVerificationToken": t
            },
            data: formData,
            processData: false,
            contentType: false,
            type: "POST",
            success: function (data) {
                $(document.getElementById("progressStatus")).addClass("d-none");
                $(document.getElementById("UploadBtn")).removeClass("disabled");
                console.log(data);

                if (data.actionSuccessful == true) {
                    $(document.getElementById("actionSuccessful")).html(data.resultMessage);
                    $(document.getElementById("actionSuccessful")).removeClass("d-none");
                    location.reload();
                }
                else {
                    $(document.getElementById("actionFailed")).html(data.resultMessage);
                    $(document.getElementById("actionFailed")).removeClass("d-none");
                }
            }
        }
    );

    $(document.getElementById("UploadBtn")).addClass("disabled");


}